﻿using Infragistics.Themes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp5
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

    }

    public class ExtendedRoyalLightTheme : RoyalLightTheme
    {
        protected override void ConfigureControlMappings()
        {
            // Pre-set the mappings for all controls via a call
            // to the base implementation of the ConfigureControlMappings method
            base.ConfigureControlMappings();
            string assemblyFullName = typeof(ExtendedRoyalLightTheme).Assembly.FullName;
            // Override the mapping of the XamTileManager control
            Mappings[ControlMappingKeys.XamComboEditor_Shared] =
                ThemeBase.BuildLocationString(assemblyFullName, @"/XamComboEditorStyles.xaml");
        }
    }
}
